1. Seedance2.0 format
PeakkAI-Doc
English
  • 中文
  • English
  • 首页
  • English
    • Home Page
    • PeakkAI-API
      • Model
        • Native OpenAI Format
        • Native Gemini Format
      • Chat
        • Native OpenAI Format
        • Native Gemini Format
        • Native Claude Format
        • Responses Request (openai)
      • Audio
        • Native OpenAI Format TTS
        • Native Gemini Format TTS
      • Images
        • Native OpenAI Format Image Editing (JSON)
        • Native OpenAI Format Image Generation
        • Native OpenAI Format Image Editing (Multipart)
        • Native Gemini Format Image Generation
      • Video
        • Seedance2.0 format
          • Create Video Generation Task
            POST
          • Query Video Generation Task Status
            GET
      • Vector
        • Embeddings
          • Create Embedding
      • Translation
        • Speech Translation
    • AI application
      • PeakkAI API Integration with Claude Code
      • PeakkAI API Integration with Cursor
      • PeakkAI API Integration with Codex-cli
      • PeakkAI API Integration with Codex Desktop
      • PeakkAI API Integration with Hermes Agent
  1. Seedance2.0 format

Create Video Generation Task

POST
/v1/video/generations
Call Seedance 2.0 (seedance-2-0 / seedance-2-0-fast) via POST /v1/video/generations, supporting text-to-video, image-to-video, and multimodal content arrays.Hold amount is placed upon task creation. The final charge is adjusted based on actual usage.

请求参数

Query 参数

Header 参数

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.peakkai.ai/v1/video/generations?model=seedance-2-0-fast&content=text&content=image_url&content=video_url&content=audio_url&prompt=Prompt%20content&duration=5&resolution=720p&ratio=16%3A9&generate_audio=true&watermark=false&seed=-1' \
--header 'Authorization: Bearer sk-xxxxxxxxxx'

返回响应

🟢200
application/json
Bodyapplication/json

示例
{
    "id": "string",
    "task_id": "string",
    "object": "string",
    "model": "string",
    "status": "string",
    "progress": 0,
    "created_at": 0,
    "completed_at": 0,
    "video_url": "string",
    "url": "string",
    "metadata": {
        "url": "string",
        "video_url": "string",
        "id": "string",
        "status": "string",
        "usage": {
            "total_tokens": 0
        }
    },
    "error": {
        "message": "string",
        "code": "string"
    },
    "pre_deduct_mount": "string"
}
🟠400
🟠401
🟠402
🟠429
🔴502
修改于 2026-11-02 09:46:28
上一页
Native Gemini Format Image Generation
下一页
Query Video Generation Task Status
Built with